Page MenuHomePhabricator

Go directly to an article if we have an exact search match
Closed, ResolvedPublic

Description

A few months ago we changed the default search behavior so that it takes users to the search results page instead of an explicit match. The reasoning was:

  • If the user has Javascript, they can click on a result from the drop-down.
  • If the user doesn't have Javascript, we should send them to the full search results since they don't otherwise have a way to access it.

I was fairly skeptical of this approach when it was implemented, but decided to go along with it and see what the reaction was. We now have an official complaint, so I think we should revisit the issue.

Although it is more complicated to implement, I think the search bar should work as follows:

  • If the user has Javascript, and they hit enter, the user should be sent to an exact match (if there is one).
  • If the user doesn't have Javascript, and they hit enter, the user should be sent to the search results page regardless.

(The difference is whether we pass 'fulltext' in the search submission.)

Complaint can be read at https://en.wiktionary.org/wiki/Wiktionary:Grease_pit/2014/April#Diacritic_differentiation_in_search_box (skip the first few posts).


Version: unspecified
Severity: normal

Details

Reference
bz66506

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:20 AM
bzimport set Reference to bz66506.
kaldari created this task.Jun 12 2014, 12:06 AM
  • Bug 30884 has been marked as a duplicate of this bug. ***

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/oZi8Usoh

Copying complaint over before page is archived.

"As a sidenote, I personally don't like the new search engine AT ALL*, because when I use my mobile to view this website, I can't go to a page directly using the search box, I have to go through a searching page first. --kc_kennylau (talk) 15:50, 19 April 2014 (UTC)"

  • Note AT ALL is in huge letters.

Change 139556 had a related patch set uploaded by Florianschmidtwelzow:
Proposal: Redirect to direct match in search

https://gerrit.wikimedia.org/r/139556

I like Florian's patch since it only affects Javascript users, although I would prefer to bind it to the submit event itself rather than a 'return' keypress.

As to whether or not this is the optimal behavior, I have no idea, although it seems more intuitive to me and matches the behavior of desktop search. Could we get some input from the design team (and maybe some user testing as a bonus)?

I would prefer to bind it to the submit event itself rather than a 'return'
keypress.

A time ago i have edited the change to use submit instead of keypress (as information) :)

CCing Maryana for product approval.

Yes, please! This has been bothering me for awhile.

Fixed (for the most part). The functionality is currently dependent on the speed of the API response, however, so we may want to revisit if it proves flaky.

Change 139556 merged by jenkins-bot:
Redirect directly to a match in search

https://gerrit.wikimedia.org/r/139556

Change 147161 had a related patch set uploaded by Kaldari:
Simpler and more reliable solution for bug 66506

https://gerrit.wikimedia.org/r/147161

Change 147161 merged by jenkins-bot:
Simpler and more reliable solution for bug 66506

https://gerrit.wikimedia.org/r/147161